<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.16.0.final using JasperReports Library version 6.16.0-48579d909b7943b64690c65c71e07e0b80981928  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorios-de-vouchers" pageWidth="595" pageHeight="842" whenNoDataType="NoDataSection" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="4f8a3e40-053f-41e1-8748-1638f3a4b9af">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="One Empty Record"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<style name="style_linha_cores_alternadas" mode="Transparent" backcolor="#FFFFFF">
		<conditionalStyle>
			<conditionExpression><![CDATA[$V{REPORT_COUNT} % 2 == 0]]></conditionExpression>
			<style mode="Opaque" backcolor="#CCFFFF"/>
		</conditionalStyle>
	</style>
	<parameter name="logo" class="java.io.InputStream"/>
	<field name="descricao" class="java.lang.String"/>
	<field name="tipoDesconto" class="java.lang.String"/>
	<field name="promocaoStatus" class="java.lang.String"/>
	<field name="clienteCpf" class="java.lang.String"/>
	<field name="filialCnpj" class="java.lang.String"/>
	<field name="pdv" class="java.lang.String"/>
	<field name="guid" class="java.lang.String"/>
	<field name="dataCadastro" class="java.lang.String"/>
	<field name="cupom" class="java.lang.String"/>
	<field name="valorDesconto" class="java.math.BigDecimal"/>
	<field name="filialCnpjResgate" class="java.lang.String"/>
	<field name="pdvResgate" class="java.lang.String"/>
	<field name="cupomResgate" class="java.lang.String"/>
	<field name="valorPagamento" class="java.math.BigDecimal"/>
	<field name="dataResgate" class="java.lang.String"/>
	<field name="fimResgate" class="java.lang.String"/>
	<field name="valorMaximoDesconto" class="java.math.BigDecimal"/>
	<field name="codigo" class="java.lang.String"/>
	<field name="valorPago" class="java.math.BigDecimal"/>
	<title>
		<band height="80" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<image scaleImage="FillFrame" hAlign="Center" vAlign="Middle" isUsingCache="true" onErrorType="Blank">
				<reportElement x="0" y="0" width="555" height="80" uuid="0f70ec58-53dc-4012-98b6-bfb4f8d948f4"/>
				<imageExpression><![CDATA[$P{logo}]]></imageExpression>
			</image>
		</band>
	</title>
	<columnHeader>
		<band height="38">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<staticText>
				<reportElement mode="Opaque" x="0" y="20" width="180" height="18" backcolor="#DEDEDE" uuid="cbfe5804-4cea-48e0-b300-5760a1792720">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Descrição]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="279" y="20" width="80" height="18" backcolor="#DEDEDE" uuid="1d563c87-0434-42c1-bf12-ffbe6da08b23">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Filial Geradora]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="359" y="20" width="81" height="18" backcolor="#DEDEDE" uuid="e67fba55-3f7f-4685-ad8a-0421692826f4">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[PDV Gerador]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="440" y="20" width="60" height="18" backcolor="#DEDEDE" uuid="4351a71b-a181-4dab-baef-8c1503ee8dc4">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Tipo]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Opaque" x="500" y="20" width="55" height="18" backcolor="#DEDEDE" uuid="4351a71b-a181-4dab-baef-8c1503ee8dc4">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Status]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="10" width="555" height="1" forecolor="#DEDEDE" uuid="872722be-0f2c-4773-b438-2945c9d401b4">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
			<staticText>
				<reportElement mode="Opaque" x="180" y="20" width="99" height="18" backcolor="#DEDEDE" uuid="98294527-0b9b-4e9c-bbfd-151c9c9c1bcc">
					<property name="com.jaspersoft.studio.unit.x" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[CPF Cliente]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="21" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="0" y="0" width="180" height="19" uuid="fb094b29-a8f5-4885-a89a-b6047921b5b7"/>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="11" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{descricao}]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="278" y="0" width="80" height="19" uuid="d274241f-0b1b-457a-b304-8028f05526fd">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{filialCnpj}]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="359" y="0" width="80" height="19" uuid="5495897b-e8a6-4b7b-9a41-5020bf900426">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{pdv}]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="440" y="0" width="60" height="19" uuid="c1a9873c-8077-4246-9110-9d1dfaa4d79a"/>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{tipoDesconto}]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="500" y="0" width="55" height="19" uuid="f65c899f-3f4e-4331-b950-948b336bfdf9"/>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{promocaoStatus}]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" stretchType="ContainerHeight" x="180" y="0" width="99" height="19" uuid="3be0e052-0ee0-4806-a22d-cef3768a61a0">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{clienteCpf}]]></textFieldExpression>
			</textField>
		</band>
		<band height="163">
			<property name="com.jaspersoft.studio.layout" value="com.jaspersoft.studio.editor.layout.FreeLayout"/>
			<textField textAdjust="ScaleFont" isBlankWhenNull="true">
				<reportElement style="style_linha_cores_alternadas" x="99" y="99" width="121" height="20" uuid="3f4f6294-8f6c-493c-adc0-98280d9418ff">
					<property name="com.jaspersoft.layout.grid.x" value="-1"/>
					<property name="com.jaspersoft.layout.grid.y" value="-1"/>
					<property name="com.jaspersoft.layout.grid.weight.x" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.weight.y" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.rowspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.colspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.weight.fixed" value="false"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{filialCnpjResgate}]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont" pattern="¤ #,##0.00;¤ -#,##0.00" isBlankWhenNull="true">
				<reportElement style="style_linha_cores_alternadas" positionType="Float" x="120" y="119" width="102" height="20" uuid="418ff906-940f-4e41-9615-fa3175dba0cc">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorPagamento}.equals(null) ?  "R$ "+ 0.00 :  "R$ "+ new DecimalFormat("0.00").format( $F{valorPagamento})]]></textFieldExpression>
			</textField>
			<textField textAdjust="ScaleFont" isBlankWhenNull="true">
				<reportElement style="style_linha_cores_alternadas" positionType="Float" x="410" y="138" width="145" height="20" uuid="92943fc4-01d1-4e89-ac93-512c8136ed25"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dataResgate}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="0" y="99" width="99" height="20" uuid="a9377198-a6d9-4c7b-8d7c-d69b39c00baf"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font size="10"/>
				</textElement>
				<text><![CDATA[CNPJ Filial Resgate : ]]></text>
			</staticText>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="0" y="119" width="120" height="20" uuid="a181d0ab-80c8-4981-aacf-c389811d3f2e"/>
				<box padding="3">
					<leftPen lineWidth="1.0" lineColor="#DEDEDE"/>
				</box>
				<textElement>
					<font size="11"/>
				</textElement>
				<text><![CDATA[Valor do Pagamento :]]></text>
			</staticText>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="279" y="138" width="131" height="20" uuid="b6bff9cb-083c-477a-9180-0031ca69f1d2"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<leftPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Data do Resgate : ]]></text>
			</staticText>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="320" y="59" width="134" height="20" uuid="7b7d1a8b-3e29-4df1-8df9-cf10a40d79e0"/>
				<box padding="3">
					<leftPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineColor="#DEDEDE"/>
				</box>
				<textElement>
					<font size="11"/>
				</textElement>
				<text><![CDATA[Dala limite para resgate :]]></text>
			</staticText>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" positionType="Float" x="454" y="59" width="101" height="20" uuid="b986fdde-1287-43a8-9660-e3ce98dd5846"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{fimResgate}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="0" y="-1" width="107" height="20" uuid="af53a87f-c73e-4ac9-ac77-f1a8cbbd555e"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font size="10"/>
				</textElement>
				<text><![CDATA[Codigo da Transação :]]></text>
			</staticText>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" x="107" y="-1" width="448" height="20" isRemoveLineWhenBlank="true" uuid="8eb4d223-f17c-4458-ab08-a36a781bacd6">
					<property name="com.jaspersoft.layout.grid.x" value="-1"/>
					<property name="com.jaspersoft.layout.grid.y" value="-1"/>
					<property name="com.jaspersoft.layout.grid.weight.x" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.weight.y" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.rowspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.colspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.weight.fixed" value="false"/>
				</reportElement>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{guid}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="0" y="39" width="107" height="20" uuid="7ffc8ca4-cdf1-4e0b-b4e4-fa73fb14da5d"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font size="11"/>
				</textElement>
				<text><![CDATA[Data criação:]]></text>
			</staticText>
			<textField textAdjust="ScaleFont" pattern="¤ #,##0.00;¤ -#,##0.00">
				<reportElement style="style_linha_cores_alternadas" positionType="Float" x="107" y="39" width="103" height="20" uuid="26dc2f02-3465-4298-a625-5ee222c2a667">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dataCadastro}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="210" y="39" width="120" height="20" uuid="b5d1ebff-e077-494a-88db-e5d117ab8894"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font size="11"/>
				</textElement>
				<text><![CDATA[Cupom PDV gerador :]]></text>
			</staticText>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" positionType="Float" x="330" y="39" width="225" height="20" uuid="b65fcb7b-ff6c-4862-9f74-a79c46b12c98">
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<box padding="3">
					<pen lineColor="#DEDEDE"/>
					<topPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<rightPen lineWidth="1.0" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cupom}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="0" y="59" width="180" height="20" uuid="e8c9016a-998e-47ce-91a9-1469932290e8"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font size="11"/>
				</textElement>
				<text><![CDATA[Desconto consedido na promoção:]]></text>
			</staticText>
			<textField textAdjust="ScaleFont" isBlankWhenNull="true">
				<reportElement style="style_linha_cores_alternadas" positionType="Float" x="180" y="59" width="140" height="20" uuid="b20a7a73-d307-4f13-9c61-d28935f5676d"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tipoDesconto}.equals( "VALOR" )? "Valor do Desconto : R$ "+ new DecimalFormat("0.00").format( $F{valorDesconto})  : "Percentual de Desconto de " + $F{valorDesconto} + "%"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="0" y="79" width="555" height="20" uuid="77889635-0619-4d79-b772-c1ef917378fe">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineColor="#DEDEDE"/>
					<topPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<leftPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<rightPen lineWidth="1.0" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Sobre Regaste]]></text>
			</staticText>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="220" y="99" width="80" height="20" uuid="6507a932-1953-44bd-a93d-c58938e9d286"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font size="10"/>
				</textElement>
				<text><![CDATA[PDV Resgate : ]]></text>
			</staticText>
			<textField textAdjust="ScaleFont" isBlankWhenNull="true">
				<reportElement style="style_linha_cores_alternadas" x="300" y="99" width="81" height="20" uuid="d88ee643-6fc4-430b-998f-972e726d9e55">
					<property name="com.jaspersoft.layout.grid.x" value="-1"/>
					<property name="com.jaspersoft.layout.grid.y" value="-1"/>
					<property name="com.jaspersoft.layout.grid.weight.x" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.weight.y" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.rowspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.colspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.weight.fixed" value="false"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{pdvResgate}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="381" y="99" width="89" height="20" uuid="60ffdac2-75b1-4533-ae68-d8b51b219ca2">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font size="10"/>
				</textElement>
				<text><![CDATA[Cupom Resgate : ]]></text>
			</staticText>
			<textField textAdjust="ScaleFont" isBlankWhenNull="true">
				<reportElement style="style_linha_cores_alternadas" x="470" y="99" width="85" height="20" uuid="e7bf156a-7ad1-48b4-b456-78644b29b486">
					<property name="com.jaspersoft.layout.grid.x" value="-1"/>
					<property name="com.jaspersoft.layout.grid.y" value="-1"/>
					<property name="com.jaspersoft.layout.grid.weight.x" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.weight.y" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.rowspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.colspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.weight.fixed" value="false"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cupomResgate}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="220" y="119" width="161" height="20" uuid="ebb601fd-8b2a-423b-89ce-4445ceb83aea"/>
				<box padding="3">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font size="11"/>
				</textElement>
				<text><![CDATA[Valor máximo para desconto :]]></text>
			</staticText>
			<textField textAdjust="ScaleFont" pattern="¤ #,##0.00;¤ -#,##0.00" isBlankWhenNull="true">
				<reportElement style="style_linha_cores_alternadas" positionType="Float" x="381" y="119" width="174" height="20" uuid="6677d0ed-ac54-4bc9-b520-8eb0191fc62d">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorMaximoDesconto}.equals(null) ?  "R$ "+ 0.00 :  "R$ "+ new DecimalFormat("0.00").format($F{valorMaximoDesconto})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="0" y="19" width="107" height="20" uuid="2fd74996-faf8-4013-986c-57b63572ad40"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<leftPen lineWidth="1.0" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineColor="#DEDEDE"/>
				</box>
				<textElement>
					<font size="10"/>
				</textElement>
				<text><![CDATA[Número do Voucher :]]></text>
			</staticText>
			<textField textAdjust="ScaleFont">
				<reportElement style="style_linha_cores_alternadas" x="107" y="19" width="448" height="20" isRemoveLineWhenBlank="true" uuid="16574091-c083-4682-9815-e13d97e2ffd8">
					<property name="com.jaspersoft.layout.grid.x" value="-1"/>
					<property name="com.jaspersoft.layout.grid.y" value="-1"/>
					<property name="com.jaspersoft.layout.grid.weight.x" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.weight.y" value="1.0"/>
					<property name="com.jaspersoft.layout.grid.rowspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.colspan" value="1"/>
					<property name="com.jaspersoft.layout.grid.weight.fixed" value="false"/>
				</reportElement>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{codigo}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement style="style_linha_cores_alternadas" x="0" y="138" width="135" height="20" uuid="dc4d18c0-fa23-4b2d-9ec4-ec6e5c185487"/>
				<box padding="3">
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="11"/>
				</textElement>
				<text><![CDATA[Valor Pago : ]]></text>
			</staticText>
			<textField textAdjust="ScaleFont" isBlankWhenNull="true">
				<reportElement style="style_linha_cores_alternadas" positionType="Float" x="135" y="138" width="143" height="20" uuid="e1ecc41f-32ea-4745-82ce-9244ecca082e"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#DEDEDE"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorPago}.equals(null) ?  "R$ "+ 0.00 :  "R$ "+ new DecimalFormat("0.00").format( $F{valorPago})]]></textFieldExpression>
			</textField>
		</band>
		<band/>
	</detail>
	<pageFooter>
		<band height="40" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<textField>
				<reportElement x="454" y="11" width="91" height="18" uuid="4f06002e-fe90-419e-a85e-0958b0af91db">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA["Pagina " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField pattern="dd &apos; de&apos; MMMM , yyyy">
				<reportElement x="7" y="11" width="100" height="18" uuid="3d99d316-3594-4fde-b9da-69a93e7da583"/>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="0" y="5" width="555" height="1" forecolor="#DEDEDE" uuid="4692c5e3-7475-4163-a354-656293ce400c">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
		</band>
	</pageFooter>
	<noData>
		<band height="30">
			<staticText>
				<reportElement x="0" y="-1" width="551" height="31" uuid="00feb0c4-cdb0-4a9c-802d-3a4708bdf587"/>
				<textElement textAlignment="Center">
					<font size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[Nenhum Resultado foi encontrado. Por Favor tente Novamente!]]></text>
			</staticText>
		</band>
	</noData>
</jasperReport>
